Skip to main content
Data Protection/Snapshot Interfaces
PUTSnapshot InterfacesSince 3.6.0SynchronousAuth Required

Update Snapshot Group

Update Snapshot Group

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource. Uniquely identifies the resource

Body Fields

  • updatevolumesnapshotgroupObjectRequired

    updatevolumesnapshotgroup request body object.

    • nameString

      Resource name

    • descriptionString

      Detailed description of the resource

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      A reserved field. The default value is null

    • opaqueLinkedHashMapRequired

      A reserved field. The default value is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. If no root error exists, this field is null

  • inventoryVolumeSnapshotGroupInventoryRequired

    For details, see inventory

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • snapshotCountIntegerRequired

      The number of snapshots in the group

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • vmInstanceUuidStringRequired

      Virtual Machine UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • volumeSnapshotRefsListRequired

      For details, see volumeSnapshotRefs

      • volumeSnapshotUuidStringRequired

        Disk snapshot UUID

      • volumeSnapshotGroupUuidStringRequired

        Snapshot group UUID

      • deviceIdintRequired

        The device ID of the disk when the snapshot was taken

      • snapshotDeletedbooleanRequired

        Whether the snapshot has been deleted

      • volumeUuidStringRequired

        Disk UUID

      • volumeNameStringRequired

        Disk name

      • volumeTypeStringRequired

        Disk type

      • volumeSnapshotInstallPathStringRequired

        Snapshot install path

      • volumeSnapshotNameStringRequired

        Snapshot name

      • createDateTimestampRequired

        Creation time

      • lastOpDateTimestampRequired

        Last modification time

Endpoint

PUT/zstack/v1/volume-snapshots/group/{uuid}/actions

/zstack/v1/volume-snapshots/group/{uuid}/actions

Operation ID

UpdateVolumeSnapshotGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volume-snapshots/group/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevolumesnapshotgroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a261086918fe3c04be683430f15920a2", "snapshotCount": 1.0, "name": "group", "vmInstanceUuid": "98ac921100b43981b493071b6430bb2b", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "volumeSnapshotRefs": [ { "volumeSnapshotUuid": "7ac8675cd8a9389ca343a2a7d49c47d7", "volumeSnapshotGroupUuid": "a261086918fe3c04be683430f15920a2", "deviceId": 0.0, "snapshotDeleted": false, "volumeUuid": "6fb0e4a0c3d6315bbb5c08a1a33bc231", "volumeName": "ROOT-volume", "volumeType": "Root", "volumeSnapshotInstallPath": "/Cloud_ps/to/path/snap.qcow2", "volumeSnapshotName": "group-ROOT-volume", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }

Change History

This API has no change history records yet.

View all change history